Subject: Re: bug#76494: [PATCH] Highlight fill-column-indicator when current line is longer than `fill-column'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Mar 2025 11:21:40 +0200

> From: Elijah Gabe Pérez <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 23 Feb 2025 01:11:43 -0600
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I see your change adds a post-command-hook, but when and how is that
> > hook removed?
> 
> The hook is removed when display-fill-column-indicator-mode is turn-off,
> i forgot to remove the hook in the submitted patch, I've fixed it.
> 
> >> I also wanted to do the same for indicator character but I couldn't find
> >> a way to implement it.
> >
> > What do you mean by "indicator character"?
> 
> i meant `display-fill-column-indicator-character', I wanted to
> allow changing its character to a custom one.
> 
> example: use this `┃' character (or one chosen by the user)
> instead default `│' when changing the fill-column-indicator face.
> 
> >> +(defcustom display-fill-column-indicator-warning nil
> >> +  "Highlight fill-column-indicator when cursor is above `fill-column'.
> >> +Non-nil means highlight fill-column-indicator when cursor is
> >> +above `fill-column'."
> >> +  :type 'boolean)
> >
> > This lacks a :version tag.
> >
> > Also, what do you mean by "cursor is above `fill-column'"?  The
> > "above" part confuses me.
> 
> I updated the patch to clarify this part.

Thanks, installed on the master branch, and closing the bug.